> ## Documentation Index
> Fetch the complete documentation index at: https://docs.truv.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Retrieve a user

> This endpoint retrieves a user.



## OpenAPI

````yaml GET /v1/users/{user_id}/
openapi: 3.0.1
info:
  title: Truv API
  description: Truv API Documentation
  termsOfService: https://www.truv.com/legal/terms-of-use
  contact:
    email: support@truv.com
  version: v1
servers:
  - url: https://prod.truv.com
security:
  - ClientID: []
    AccessKey: []
tags:
  - name: Users
  - name: Bridge Token
  - name: Companies and Data Providers
  - name: Key Management
  - name: Account Links
  - name: Data Refresh
  - name: Customization Templates
  - name: Webhooks
  - name: Orders
  - name: Tasks
  - name: VOIE Reports
  - name: VOA Reports
  - name: Income Insights Reports
  - name: DDS Reports
  - name: Employment
  - name: Identity
  - name: Shifts
  - name: Pay Statements
  - name: Tax Documents
  - name: Parsed Documents
  - name: Reports
  - name: Uploaded Documents
  - name: Bank Accounts
  - name: Bank Statements
  - name: Deposit Switch Reports
  - name: Insurance Reports
  - name: Income Report
  - name: Scoring Attributes
  - name: Accounts
  - name: Transactions
  - name: Recurring Transactions
  - name: Document Collections
paths:
  /v1/users/{user_id}/:
    parameters:
      - name: user_id
        in: path
        required: true
        schema:
          type: string
        example: 24d7e80942ce4ad58a93f70ce4115f5c
    get:
      tags:
        - Users
      summary: Retrieve a user
      description: This endpoint retrieves a user.
      operationId: v1_users_read
      parameters:
        - name: list_links
          in: query
          description: When set to true, adds the payload from the account links endpoint.
          required: false
          schema:
            type: boolean
            default: false
      responses:
        '200':
          description: ''
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ApplicantRetrieve'
        '401':
          description: HTTP 401 Unauthorized
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Error401'
        '403':
          description: HTTP 403 Forbidden
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Error403'
components:
  schemas:
    ApplicantRetrieve:
      required:
        - id
        - external_user_id
        - created_at
        - updated_at
      type: object
      properties:
        id:
          description: Unique identifier of the user.
          type: string
          readOnly: true
          maxLength: 32
          example: 24d7e80942ce4ad58a93f70ce4115f5c
        external_user_id:
          description: External user id.
          type: string
          nullable: true
          example: '12345'
        first_name:
          description: First name of the user.
          type: string
          example: John
        last_name:
          description: Last name of the user.
          type: string
          example: Doe
        email:
          description: User's email.
          type: string
          format: email
          nullable: true
          example: john.doe@example.com
        phone:
          description: User's phone number.
          type: string
          nullable: true
          example: '+14155554193'
        ssn:
          description: User's SSN.
          type: string
          example: '222233333'
        created_at:
          description: Timestamp when the user was created.
          type: string
          format: date-time
          readOnly: true
          example: '2022-05-04T11:30:00Z'
        updated_at:
          description: Timestamp when the user was updated last time.
          type: string
          format: date-time
          readOnly: true
          example: '2022-05-04T12:00:00Z'
        links:
          description: List of account Links associated with the user.
          type: array
          items:
            $ref: '#/components/schemas/Link'
          readOnly: true
          nullable: true
        voie_report_id:
          description: GSE accepted income and employment verification report ID
          type: string
          nullable: true
          example: b19c454a98594b4084b71e3b62873d29
        voa_report_id:
          description: Verification of Assets report ID
          type: string
          nullable: true
          example: b19c454a98594b4084b71e3b62873d29
        income_insights_report_id:
          description: Income insights report ID
          type: string
          nullable: true
          example: b19c454a98594b4084b71e3b62873d29
        aim_check_report_id:
          description: AIM check report ID
          type: string
          nullable: true
          example: FM-1234-39aa1486ccca4bc19cda071ffc1ba392
    Error401:
      description: ''
      type: object
      properties:
        error:
          description: ''
          type: object
          properties:
            code:
              description: ''
              type: string
              example: authentication_failed
            message:
              description: ''
              type: string
              example: No such token
    Error403:
      description: ''
      type: object
      properties:
        error:
          description: ''
          type: object
          properties:
            code:
              description: ''
              type: string
              example: not_authenticated
            message:
              description: ''
              type: string
              example: Authentication credentials were not provided.
    Link:
      type: object
      properties:
        id:
          description: Link ID
          type: string
          example: 48427a36d43c4d5aa6324bc06c692456
        access_token:
          description: >-
            Access token for data refresh. Returns masked value (e.g.,
            `****************************7610`) unless filtered by `user_id`, in
            which case the full token is returned.
          type: string
          readOnly: true
          example: '****************************7610'
        created_at:
          description: Link creation timestamp (ISO 8601)
          type: string
          example: '2022-06-07T15:00:00Z'
        updated_at:
          description: Link last update timestamp (ISO 8601)
          type: string
          example: '2022-06-30T15:00:00Z'
        deleted_at:
          description: Link removal timestamp (ISO 8601)
          type: string
          nullable: true
          example: '2022-06-30T15:00:00Z'
        tracking_info:
          description: Optional tracking information provided by a partner
          type: string
          nullable: true
          example: user123456
        status:
          description: Status of the last Task
          type: string
          example: new
        user_external_id:
          description: User external ID is information provided by a partner
          type: string
          nullable: true
          example: user123456
        provider_id:
          description: Data provider ID
          type: string
          example: adp
        provider:
          $ref: '#/components/schemas/ProviderBase'
        company_mapping:
          $ref: '#/components/schemas/Employer'
        link_hash:
          description: Unique hash for the user credentials used to create the link
          type: string
          nullable: true
          example: bc917458a3da4b2c8cc8282aa1707aaa
        allowed_products:
          description: List of all allowed products for this connection
          type: array
          example:
            - income
          items:
            type: string
            enum:
              - income
              - employment
              - deposit_switch
              - pll
              - insurance
              - transactions
              - assets
        initial_product_type:
          description: Initial product type
          type: string
          enum:
            - income
            - employment
            - deposit_switch
            - pll
            - insurance
            - transactions
            - assets
            - null
          example: income
          nullable: true
        data_source:
          description: >-
            Source of data: payroll - payroll provider parsing, docs - user
            uploaded documents, insurance - insurance data, financial_accounts -
            bank data, tax - tax documents, scoring_attributes - transactions
            scoring attributes report.
          type: string
          enum:
            - payroll
            - docs
            - insurance
            - financial_accounts
            - tax
            - scoring_attributes
          example: payroll
        is_suspicious:
          description: >-
            Flag to indicate if the data from the source is suspicious. E.g.
            fraud detected in uploaded documents or SSN of the user does not
            match with the data
          type: boolean
        is_dds_available:
          description: >-
            This flag indicates if connected account supports deposit switching
            functionality. null - unknown, True - yes, False - No
          type: boolean
          nullable: true
      description: Link's properties
    ProviderBase:
      type: object
      properties:
        id:
          description: Data provider ID.
          type: string
          readOnly: true
          example: adp
          maxLength: 64
        name:
          description: Data provider name.
          type: string
          readOnly: true
          example: ADP
          maxLength: 128
        logo_url:
          description: Data provider logo image.
          type: string
          nullable: true
      required:
        - id
        - name
      nullable: true
    Employer:
      type: object
      properties:
        id:
          description: Employer ID.
          type: string
          readOnly: true
          example: meta
          maxLength: 64
          nullable: true
        name:
          description: Employer name.
          type: string
          readOnly: true
          example: Meta
          maxLength: 128
        logo_url:
          description: Employer logo image.
          type: string
          nullable: true
      required:
        - id
        - name
      nullable: true
  securitySchemes:
    ClientID:
      type: apiKey
      description: Client ID
      name: X-Access-Client-Id
      in: header
    AccessKey:
      type: apiKey
      description: Client Access Key
      name: X-Access-Secret
      in: header

````